summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Mario St-Gelais2013-02-24 06:49:55 +0100
committer Robby Workman2013-02-24 17:23:07 +0100
commita64c817fb107ed271573d0ab2504daf22356df3b (patch)
tree0bd2d48940408ff49654e42dfb5245569588e557 /libraries
parentc948371ff3c74cd7afee80403454a17581914f62 (diff)
downloadslackbuilds-a64c817fb107ed271573d0ab2504daf22356df3b.tar.gz
libraries/libpqxx: Added (C++ client API for PostgreSQL)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libpqxx/README1
-rw-r--r--libraries/libpqxx/libpqxx.SlackBuild98
-rw-r--r--libraries/libpqxx/libpqxx.info10
-rw-r--r--libraries/libpqxx/slack-desc19
4 files changed, 128 insertions, 0 deletions
diff --git a/libraries/libpqxx/README b/libraries/libpqxx/README
new file mode 100644
index 0000000000..43ac9dc375
--- /dev/null
+++ b/libraries/libpqxx/README
@@ -0,0 +1 @@
+libpqxx is a C++ client API for PostgreSQL.
diff --git a/libraries/libpqxx/libpqxx.SlackBuild b/libraries/libpqxx/libpqxx.SlackBuild
new file mode 100644
index 0000000000..56e902250d
--- /dev/null
+++ b/libraries/libpqxx/libpqxx.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+# Slackware build script for libpqxx
+
+# Copyright 2013 Mario St-Gelais <mario.stg@videotron.ca>
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for any purpose
+# with or without fee is hereby granted, provided that the above copyright
+# notice and this permission notice appear in all copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES,
+# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
+# FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
+# AUTHORS AND COPYRIGHT HOLDERS AND THEIR CONTRIBUTORS BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libpqxx
+VERSION=${VERSION:-4.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="AUTHORS COPYING ChangeLog INSTALL README README-UPGRADE VERSION"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type -f -exec chmod 0644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/libraries/libpqxx/libpqxx.info b/libraries/libpqxx/libpqxx.info
new file mode 100644
index 0000000000..7e980da303
--- /dev/null
+++ b/libraries/libpqxx/libpqxx.info
@@ -0,0 +1,10 @@
+PRGNAM="libpqxx"
+VERSION="4.0.1"
+HOMEPAGE="http://pqxx.org/development/libpqxx/"
+DOWNLOAD="http://pqxx.org/download/software/libpqxx/libpqxx-4.0.1.tar.gz"
+MD5SUM="6ea888b9ba85dd7cef1b182dc5f223a2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="postgresql"
+MAINTAINER="Mario St-Gelais"
+EMAIL="mario.stg@videotron.ca"
diff --git a/libraries/libpqxx/slack-desc b/libraries/libpqxx/slack-desc
new file mode 100644
index 0000000000..f3d9cea5fd
--- /dev/null
+++ b/libraries/libpqxx/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libpqxx: libpqxx (C++ client API for PostgreSQL)
+libpqxx:
+libpqxx: libpqxx is the official C++ client API for PostgreSQL, the
+libpqxx: enterprise-strength open-source relational database.
+libpqxx:
+libpqxx: If you are writing software in C++ that needs to access databases
+libpqxx: managed by postgres - on just about any platform - then libpqxx
+libpqxx: is the library you use. It is the standard C++ language binding
+libpqxx: for the postgres RDBMS.
+libpqxx:
+libpqxx: